.map-marker-feature {
  width: 240px;
  position: relative;

  .swiper-slide,
  .picture-with-options,
  .swiper-container {
    width: 240px;
  }

  &::after {
    bottom: -7px !important;
  }

  .swiper-pagination {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
  }

  .swiper-container {
    position: relative;
    overflow: hidden;
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
  }

  .swiper-pagination-bullet {
    background-color: rgba(var(--bs-white-rgb), 0.9);
    border-radius: 100%;
    width: 3px;
    height: 3px;
    z-index: 9;
  }

  .swiper-button-prev,
  .swiper-button-next,
  .btn-close-marker {
    padding: 0;
    margin: 0;
    background-color: rgba(var(--bs-white-rgb), 0.7);
    border-radius: 100%;
    width: 30px;
    height: 30px;
    line-height: 30px;
    position: absolute;
    top: calc(50% - 15px);
    z-index: 9;
    font-size: 10px;
    cursor: pointer;
    transition: all 0.2s ease-in-out;

    &:active {
      border: 0;
    }

    &:hover:not(.swiper-button-disabled) {
      background-color: rgba(var(--bs-white-rgb), 1);
      width: 32px;
      line-height: 32px;
      height: 32px;
      top: calc(50% - 16px);
    }

    &.swiper-button-disabled {
      cursor: default;
      opacity: 0.3;
    }
  }

  .btn-close-marker {
    top: 5px;
    right: 5px;

    &:hover:not(.swiper-button-disabled) {
      right: 4px;
      top: 4px;
    }
  }

  .swiper-button-prev {
    left: 5px;

    &:hover:not(.swiper-button-disabled) {
      left: 4px;
    }
  }

  .swiper-button-next {
    right: 5px;

    &:hover:not(.swiper-button-disabled) {
      right: 4px;
    }
  }

  .feature-title {
    font-weight: bold;
    color: rgb(var(--bs-primary-rgb));
  }

  .feature-title, .feature-description {
    margin: 1rem * 0.4 1rem * 0.5;
    overflow: hidden;
    -webkit-box-orient: vertical;
    display: -webkit-box;
    text-overflow: ellipsis;
  }
  .feature-title {
    -webkit-line-clamp: 2; /* number of lines to show */
            line-clamp: 2;
  }

  .feature-description {
    -webkit-line-clamp: 4; /* number of lines to show */
            line-clamp: 4;
  }

  .feature-icons{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 7px;
  }

  .icon-container {
    height: 25px;
    margin: 0 5px;
  }

  .feature-open {
    .btn {
      width: 100%;
      z-index: 9999;
      position: relative;
    }
  }
}
